-
Ease-of-use patch to klik's install
I made a patch to install to make it pop up an xterm, rxvt, konsole or gnome-terminal and su to run klik-cmg-install-root, rather than just popping up a message box telling the user to run it as root. For new users, this should be significantly nicer.
I don't know if I can properly include it here, but I'll try:
Code:
--- install 2005-12-20 13:11:44.000000000 -0500
+++ install.xterm 2006-01-02 19:17:29.000000000 -0500
@@ -81,6 +81,20 @@
esac
}
+unset XVT
+# Determine what X virtual terminal to use (if applicable)
+if [ "$DISPLAY" -a "`tty | grep not`" ]
+then
+ for i in xterm rxvt konsole gnome-terminal
+ do
+ $i --help
+ if [ "$?" != "127" ]
+ then
+ export XVT="$i -e"
+ fi
+ done
+fi
+
cat > $HOME/.klik <<\EOF
#!/bin/bash
@@ -511,8 +525,25 @@
fi
EOF
chmod 777 "$HOME/klik-cmg-install-root"
+cat > "$HOME/klik-prompt-root" <<EOF
+#!/bin/bash
+echo Please enter your root password:
+su -c "$HOME/klik-cmg-install-root"
+EOF
+chmod 777 "$HOME/klik-prompt-root"
+
+# Try su'ing to root
+$XVT $HOME/klik-prompt-root
+rm -f "$HOME/klik-prompt-root"
+
+# If that didn't work, just tell the user what to do
+if [ -z "$(cat /etc/fstab | grep app/7)" ]
+then
+ dmsgbox "Your /etc/fstab is not setup to use cmg files. Please run $HOME/klik-cmg-install-root as root."
+else
+ rm -f "$HOME/klik-cmg-install-root"
+fi
-(sudo sh "$HOME/klik-cmg-install-root" && rm -f "$HOME/klik-cmg-install-root") || (dmsgbox "Your /etc/fstab is not setup to use cmg files. Please run $HOME/klik-cmg-install-root as root.")
fi
#
[/code]
Similar Threads
-
By mkjtravel in forum Hardware & Booting
Replies: 0
Last Post: 11-02-2004, 07:49 AM
-
By eracerbit in forum Hdd Install / Debian / Apt
Replies: 0
Last Post: 01-22-2004, 12:48 AM
-
By rickenbacherus in forum Tips and Tricks
Replies: 13
Last Post: 01-20-2004, 03:39 PM
-
By eriixblaike in forum Ideas
Replies: 3
Last Post: 08-10-2003, 11:04 AM
-
Replies: 0
Last Post: 07-17-2003, 08:24 AM
Posting Permissions
- You may not post new threads
- You may not post replies
- You may not post attachments
- You may not edit your posts
-
Forum Rules

Genuine Cisco SFP-10G-SR 0-2415-03 10 Gigabit Transceiver
$5.40

Dell Intel X710-DA2 5N7Y5 Dual-Port 10GbE SFP+ PCIe 3.0 x8 Network Adapter
$27.50

NEW Sealed Cisco SFP-10G-LR 10GBASE-LR SFP+ 1310nm 10km *US Shipping*
$24.00

Cisco Acacia DP04QSDD-E25-840 400G QSFP-DD Coherent DCO Transceiver Module
$699.99

SFP TO RJ45 TRANSCEIVER SFP MODULE COPPER SFP OPTICAL PORT TO RJ45 ETHERNET PORT
$7.99

Intel X520-DA2 10Gb 10Gbe 10 Gigabit Network Adapter NIC Dual Port E10G42BTDA
$28.94

HP 560SFP+ 10GB 2-port PCIe NIC Ethernet ADAPTER 669279-001 w/ (2) 10GB SFP+
$16.99

New Cisco SFP-10G-AOC3M= Compatible 10G SFP+ 3m (10 ft.) Active Optical Cable
$49.95

CISCO 10GBASE-SR SFP "Lot of 4” SFP-10G-SR
$47.99

Cisco WS-C3650-12X48UR-L 48-Port Stackable Layer 3 8x10G SFP+ Port Switch
$129.99